# Atom Class Reference

An Atom object represents a residue within a Topology. More...

List of all members.

## Public Member Functions

def | __init__
| Construct a new Atom.

## Public Attributes

| name
| The name of the Atom.
| element
| That Atom's element.
| index
| The index of the Atom within its Topology.
| residue
| The Residue this Atom belongs to.

## Detailed Description

An Atom object represents a residue within a Topology.

## Member Function Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | element,
|  |  | index,
|  |  | residue |
| ) |  |  |

Construct a new Atom.

You should call addAtom() on the Topology instead of calling this directly.

## Member Data Documentation

element

That Atom's element.

index

The index of the Atom within its Topology.

name

The name of the Atom.

residue

The Residue this Atom belongs to.

The documentation for this class was generated from the following file:

- topology.py